* MPT 
set more off
clear
clear mata
clear matrix
set matsize 11000
set maxvar 32767
set type double

*Default BW is <20, modify to <6 for robustness checks

**Origination prep (use with ln_loan on LHS for intensive margin (currently populated)
**PARAMETERS********************************************************************
	global projpath "/home/argyle/bargyle13/auto_credit"
	global datapath "/data/argyle/VE_815"
	global dbpath "/home/argyle/Dropbox/Search"
*-------------------------------------------------------------------------------
*-------------------------------------------------------------------------------

**bring in origination data with normfico/b1 from origination_analysis.do with FE built; everything to 'first stage', and
**BRING IN APPLICATIONS DATA WITH NORMFICO/b1...from applications_analysis.do; everything with FEs to 'first stage' and merge accordingly

use "$projpath/tmp/auto_credit_clean.dta", clear
	mmerge loanyear loanmon using ./tmp/rf2.dta, type(n:1) unmatched(master)
	mmerge loanportfolio using "$projpath/tmp/breakpoints_dict.dta", umatch(loanport_break) type(n:1) unm(master)
	****update commuting zones**********************************************
		destring(zipcode), force replace
		mmerge zipcode using "$dbpath/data/zip_to_cz_map.dta", type(n:1) unmatched(master) ukeep(communtingzone1990)
		mmerge communtingzone1990 using "$dbpath/data/nationwide_cz_incl12-16_.dta", type(n:1) unmatched(master) umatch(excluded)
		mmerge communtingzone using "$projpath/tmp/cz_2000.dta", type(n:1) umatch(CommutingZoneID1990)
		rename CommutingZoneID2000 cz
	*-----------------------------------------------------------------------
*------------------------------------------------------------------------------*

**FILTER AND generate*****************************************************
	drop if missing(b1) //only keep loans from credit unions that have breakpoints
	*drop if isindirect == 1 //only keep direct loans
	gen type2 = lower(type)
	drop if strpos(type2,"refi") > 0
	drop if strpos(type2,"indirect") > 0
	gen normfico = .
	gen ltv = origloanamount/origvalue
*------------------------------------------------------------------------------*


**PARAMETERS********************************************************************
	global bandwidth = 19 //bandwidth for rdrobust break
	global window = 19 // bandwidth for window
	global projpath "/home/argyle/bargyle13/auto_credit"
	global datapath "/data/argyle/VE_815"
	global dbpath "/home/argyle/Dropbox/Search"
*-------------------------------------------------------------------------------

**REMOVE OLD RESULTS************************************************************
	capture erase "$projpath/tmp/second_stage.xls"
	capture erase "$projpath/tmp/second_stage.txt"
	capture erase "$projpath/tmp/first_stage.xls"
	capture erase "$projpath/tmp/first_stage.txt"
	capture erase "$projpath/tmp/expost.xls"
	capture erase "$projpath/tmp/expost.txt"
*-------------------------------------------------------------------------------
keep loanportfolioid origfico b1 b2 b3 b4 b5 b6 b7
global bblist " 550 575 580 600 610 620 630 640 650 660 670 680 690 700 720 730"
	 levelsof loanportfolio, local(levels) // this saves a variable "levels" containing the unique values of loanport
	collapse b1 b2 b3 b4 b5 b6 b7, by(loanportfolioid origfico)
		drop if missing(origfico, loanportfolioid)
	 foreach bp of global bblist { 
	gen rod_`bp' = origfico >= `bp'
	 gen normfico_`bp' =  origfico - `bp'
	 foreach n in `levels' {
	 gen rel_`bp'_`n' = (abs(origfico -`bp') < 20) & (b1==`bp' | b2==`bp' | b3==`bp' | b4==`bp' | b5==`bp' | b6==`bp' | b7==`bp') & (loanportfolioid==`n') //this is Chris's I_d (have to also check for institution)
	  gen nf_rod_rel_`bp'_`n' = normfico_`bp'*rod_`bp'*rel_`bp'_`n' //this is the second term
	 gen nf_rel_`bp'_`n' = normfico_`bp'*rel_`bp'_`n' //this is the first term
	 gen rod_rel_`bp'_`n' = rod_`bp'*rel_`bp'_`n' //this is the third term
	 gen nf_nf_rel_`bp'_`n' =normfico_`bp'*normfico_`bp'*rel_`bp'_`n' 
	 gen nf_nf_rod_rel_`bp'_`n' = normfico_`bp'*normfico_`bp'*rod_`bp'*rel_`bp'_`n' 
	 gen nf_nf_nf_rod_rel_`bp'_`n' = normfico_`bp'*normfico_`bp'*normfico_`bp'*rod_`bp'*rel_`bp'_`n' 
	 gen nf_nf_nf_rel_`bp'_`n' =normfico_`bp'*normfico_`bp'*normfico_`bp'*rel_`bp'_`n' 
	  }
	}
		egen mynf_rod_rel = rowtotal(nf_rod_rel*)
	egen mynf_rel = rowtotal(nf_rel*)
	egen myrod_rel = rowtotal(rod_rel*)
	egen myrel = rowtotal(rel_*)
	egen mynfnf_rel = rowtotal(nf_nf_rel_*)
	egen mynfnf_rod_rel = rowtotal(nf_nf_rod_rel*)
	egen mynfnfnf_rod_rel = rowtotal(nf_nf_nf_rod_rel*)
	egen mynfnfnf_rel = rowtotal(nf_nf_nf_rel_*)
	drop nf_rod_rel_* nf_rel_* nf_nf_rel_* nf_nf_rod_rel_* nf_nf_nf_rod_rel* nf_nf_nf_rel_* //rod_rel_*
	
		save ./tmp/rel_bp_dictionary.dta, replace
		//load origination data
		drop if missing(origfico)
		egen loanyq = group(loanyear loanquarter)
		egen loanym = group(loanyear loanmon)
		gen age = loanyear - year(date(birthdate,"YMD"))
		replace race = lower(race)
		gen min_dum = race != "white"
		keep gender daysdelq ischarge default delta zipcode annualintrate loanterm origfico cz loanportfolioid origloanamount loanyq loanmon carage b1 b2 b3 b4 b5 b6 b7 monpay debtratio origvalue cmake cmodel cautoyear age min_dum racelikelihood zipcode loanym
		timer on 1
	  merge m:1 loanportfolioid origfico using ./tmp/rel_bp_dictionary //merge is twice as fast as fmerge (2970 vs 7682)
	  timer off 1 
	  timer list 1
	  *save ./tmp/bigset_bsa.dta, replace
	  *erase ./tmp/rel_bp_dictionary.dta

			 levelsof loanportfolio, local(levels) // this saves a variable "levels
		 foreach bp of global bblist {
		gen group_rel_`bp' = 0
			 foreach n in `levels' { //cycle through all lenders	
	replace group_rel_`bp' = group_rel_`bp' + `n'*rel_`bp'_`n' //this populates with the lender number if the bp is relevant...we'll use this later in the FEs
	}
	}
		gen ln_term = ln(loanterm)
	gen ln_rate = ln(annualintrate)
	gen ln_loan = ln(origloanamount)
	
	

	keep gender daysdelq ischarge default delta zipcode mynfnfnf_rod_rel mynfnfnf_rel mynfnf_rod_rel mynfnf_rel ln_loan debtratio origvalue mynf_rod_rel mynf_rel myrod_rel myrel rod_rel* ln_term ln_rate cz loanportfolioid  origfico loanyq b1 b2 b3 b4 b5 b6 b7 monpay cmake cmodel cautoyear loanmon carage loanterm origloanamount age min_dum racelikelihood zipcode loanym
	
save ./tmp/bigset_bsa.dta, replace

		use ./tmp/bigset_bsa.dta, clear
		global dbpath "/home/argyle/Dropbox/MPT"
		gen rate = exp(ln_rate)
		winsor debtratio, gen(dti) p(0.1)

**Application prep (use with accepted on LHS for extensive margin)
**PARAMETERS********************************************************************
	global projpath "/home/argyle/bargyle13/auto_credit"
	global datapath "/data/argyle/VE_815"
	global dbpath "/home/argyle/Dropbox/Search"

	use "$projpath/tmp/app.dta", clear
		mmerge loanportfolio using "$projpath/tmp/breakpoints_dict.dta", umatch(loanport_break) type(n:1) unm(master)
	****update commuting zones**********************************************
		destring(zipcode), force replace
		mmerge zipcode using "$dbpath/data/zip_to_cz_map.dta", type(n:1) unmatched(master) ukeep(communtingzone1990)
		mmerge communtingzone1990 using "$dbpath/data/nationwide_cz_incl12-16_.dta", type(n:1) unmatched(master) umatch(excluded)
		mmerge communtingzone using "$projpath/tmp/cz_2000.dta", type(n:1) umatch(CommutingZoneID1990)
		rename CommutingZoneID2000 cz

		drop if (strpos(lower(loantype),"indirect") > 0) // if the word "indirect" appears anywhere in the loan type
		drop if strpos(lower(loantype),"card") > 0 //drop credit cards directly
		
		gen loandate = date(applicationdate,"YMD")
	gen loanyear = year(loandate)
	gen loanmon = month(loandate)
	gen loanquarter = 1 if loanmon >=1 & loanmon <=3
	replace loanquarter = 2 if loanmon >=4 & loanmon <=6
	replace loanquarter = 3 if loanmon >= 7 & loanmon <=9
	replace loanquarter = 4 if loanmon >=10  & loanmon <=12
	
	replace applicationstatus = lower(applicationstatus) //lowercase everything
	gen accepted = 0 if strpos(applicationstatus,"approved")>0 //create accepted variable
	replace accepted = 1 if strpos(applicationstatus,"approved")>0 & strpos(applicationstatus,"not")==0 //set accepted to 1 if loan funded
	gen negdti = -1*debttoincome
	bys loanportfolioid applicationid (creditscore birthdate negdti): keep if _n == _N //cosignors
	bys loanportfolioid applicationid: gen nop = _N
	drop if nop > 1
	drop nop
			egen loanyq = group(loanyear loanquarter)
			egen loanym = group(loanyear loanmon)
			gen age = loanyear - year(date(birthdate,"YMD"))
			replace race = lower(race)
			gen min_dum = race != "white"
			drop if missing(loanportfolioid, applicationid)
			  mmerge loanportfolioid applicationid  using ./tmp/app_ll.dta,type(1:n) unmatched(master) ukeep(gender)
			  duplicates drop loanportfolioid applicationid noterate loanterm noteamount, force
		keep gender loanportfolioid accepted creditscore b1 b2 b3 b4 b5 b6 b7 cz noterate loanterm loanyq loanym noteamount debttoincome age min_dum racelikelihood zipcode
		keep if ~missing(b1,cz,creditscore)
		
* we do want to do this a second time because the ficos may be different by institution
		keep loanportfolioid creditscore b1 b2 b3 b4 b5 b6 b7
global bblist " 550 575 580 600 610 620 630 640 650 660 670 680 690 700 720 730"
	 levelsof loanportfolio, local(levels) // this saves a variable "levels" containing the unique values of loanport
	collapse b1 b2 b3 b4 b5 b6 b7, by(loanportfolioid creditscore)
		drop if missing(credits core, loanportfolioid)
	 foreach bp of global bblist { 
	gen rod_`bp' = creditscore >= `bp'
	 gen normfico_`bp' =  creditscore - `bp'
	 foreach n in `levels' {
	 gen rel_`bp'_`n' = (abs(creditscore -`bp') < 20) & (b1==`bp' | b2==`bp' | b3==`bp' | b4==`bp' | b5==`bp' | b6==`bp' | b7==`bp') & (loanportfolioid==`n') //this is Chris's I_d (have to also check for institution)
	  gen nf_rod_rel_`bp'_`n' = normfico_`bp'*rod_`bp'*rel_`bp'_`n' //this is the second term
	 gen nf_rel_`bp'_`n' = normfico_`bp'*rel_`bp'_`n' //this is the first term
	 gen rod_rel_`bp'_`n' = rod_`bp'*rel_`bp'_`n' //this is the third term
	  gen nf_nf_rel_`bp'_`n' =normfico_`bp'*normfico_`bp'*rel_`bp'_`n' 
	 gen nf_nf_rod_rel_`bp'_`n' = normfico_`bp'*normfico_`bp'*rod_`bp'*rel_`bp'_`n' 
	 gen nf_nf_nf_rod_rel_`bp'_`n' = normfico_`bp'*normfico_`bp'*normfico_`bp'*rod_`bp'*rel_`bp'_`n' 
	 gen nf_nf_nf_rel_`bp'_`n' =normfico_`bp'*normfico_`bp'*normfico_`bp'*rel_`bp'_`n' 
	  }
	}
		egen mynf_rod_rel = rowtotal(nf_rod_rel*)
	egen mynf_rel = rowtotal(nf_rel*)
	egen myrod_rel = rowtotal(rod_rel*)
	egen myrel = rowtotal(rel_*)
	egen mynfnf_rel = rowtotal(nf_nf_rel_*)
	egen mynfnf_rod_rel = rowtotal(nf_nf_rod_rel*)
	egen mynfnfnf_rod_rel = rowtotal(nf_nf_nf_rod_rel*)
	egen mynfnfnf_rel = rowtotal(nf_nf_nf_rel_*)
	drop nf_rod_rel_* nf_rel_* nf_nf_rel_* nf_nf_rod_rel_* nf_nf_nf_rod_rel* nf_nf_nf_rel_* //rod_rel_*
	
		save ./tmp/rel_bp_dictionary_apps.dta, replace
		
		
		*bring in apps data first
		drop if missing(creditscore)

		*rename creditscore origfico 
	  merge m:1 loanportfolioid creditscore using ./tmp/rel_bp_dictionary_apps //merge is twice as fast as fmerge (2970 vs 7682)
	  *rename origfico creditscore
	  gen ln_term = ln(loanterm)
	  gen ln_rate = ln(noterate)
	  _rmcoll accepted mynf_rod_rel mynf_rel myrel myrod_rel noterate loanterm rod_rel* loanportfolioid loanyq cz creditscore noteamount ln_term ln_rate , forcedrop
	                local varlist `r(varlist)'
			keep `varlist' gender mynfnf_rod_rel mynfnf_rel mynfnfnf_rod_rel mynfnfnf_rel racelikelihood debttoincome age min_dum zipcode loanym
gen approved = ~missing(accepted)
levelsof loanportfolioid, local(lenders)
gen crap = 0
 foreach n in `lenders' { //cycle through all lenders	
 sum approved if loanportfolioid == `n' 
 local mymean = `r(mean)'
 replace crap = `mymean' if loanportfolioid == `n' 
 }
*---		

*Figures************************************************************************
	*Build necessary pieces
		gen normmp = .
		foreach mp in 200 300 400 500 600 700 {
		replace normmp = monpay - `mp' if inrange(monpay,`mp'-20,`mp'+20)
		}
		egen fico_cut = cut(origfico),at(0,651,700,850)
		egen fico_grp = group(fico_cut)
	*-----------------------------------------------------------------------
	
**Figure 1**********************************************************************
	use ./tmp/auto_credit_clean.dta, clear
	keep if loanport ==473 // == 203 //for term
	levelsof loanportfolio, local(levels) // this saves a variable "levels" containing the unique values of loanport

	local binsize = 5  // size of the graph bin
	local nob = 300/`binsize' //this is the range above the lowest fico score. the implied number of bins, may cough if this and binsize aren't easily put together
	local bh = .001 // break hurdle: the max p-value to quality as a policy break
	local ch = .01 // continuity hurdle: the max 
	local intbreak = .005 //minimum change in interest rate to be considered a break
	*------------------------------------------------------------------------------*


	**PREP FOR BREAKER OUTPUT*******************************************************
	forval v = 1/10 {   //max breakpoints of 10
	   gen b`v' = . // generate the breakpoint variables to dump to excel later
	   }
	gen loanport_break = .
	*------------------------------------------------------------------------------*
	   
	   
	//LOOP THROUGH THE CUs*************************************************
	foreach n in `levels' { 
	quietly {
	capture drop fico_bin*

	*BUILD FICO_BINS FOR CU NUMBER "n"**********************************************
	forval fb =1/`nob' { //put borrowers into fico bins for CU #n
	gen fico_bin_`fb' = 0 if loanportfolioid==`n'
	replace fico_bin_`fb' = 1 if origfico >=(500 + (`fb'-1)*`binsize') &  origfico <(500 + (`fb')*`binsize') & loanportfolioid==`n' //put a 1 if the borrower is in this bin
	}
	*------------------------------------------------------------------------------*

	replace fico_bin_1=1 if origfico <500
	drop if missing(origfico)
	reg annualintrate fico_bin* //reg loanterm fico_bin*

	*LOOK FOR POTENTIAL POLICY BREAKS***********************************************
	capture drop breakpoint
	capture drop breakpoint_p
	gen breakpoint = .
	gen breakpoint_p = .
	local Tests = `nob' - 2 // one less than the number of FICO bins
	forval t =2/`Tests' { 
	local next = `t' + 1
	local prev = `t' - 1
	local nextnext = `t' + 2
	test fico_bin_`t' = fico_bin_`next' // test coefficients are different
	local diff = `r(p)'
	test fico_bin_`t' = fico_bin_`prev' // test coefficients are different
	local diffprev = `r(p)'
	test fico_bin_`nextnext' = fico_bin_`next' // test coefficients are different
	local diffnext = `r(p)'
	replace breakpoint = `t'*`binsize' +500 if abs(_b[fico_bin_`t'] - _b[fico_bin_`next']) > `intbreak' & `diff' < `bh' & _n==`t' & (`t'*`binsize' +500) >=550 & (`t'*`binsize' +500) <= 750 & (`diffprev' >=`ch') & (`diffnext' >=`ch') //save breakpoint if p-value is less than the break hurdle
	replace breakpoint_p = `r(p)' if `r(p)' < `bh' & _n==`t' //save corresponding p-value 
	}
	*------------------------------------------------------------------------------*


	capture drop dum_coeff
	capture drop se
	gen dum_coeff = .
	gen se = .

	forval b = 1/`nob' {
	capture replace dum_coeff = _b[fico_bin_`b'] if _n == `b' //write the coefficient corresponding to the bth dummy
	capture replace se = _se[fico_bin_`b'] if _n == `b' //write the standard error corresponding to the bth dummy
	}

	//SAVE REGRESSION OUTPUT AND GRAPH COEFFICIENTS**************
	capture drop binnum
	gen binnum = _n*`binsize' + 500 if _n < `nob' + 1  // generate the x-axis for the graphs

	levelsof breakpoint, local(bp)
	levelsof breakpoint_p, local(bp_p)
	local ti = "Credit Union w Loan Portfolio # " + "`n'" 
	local subti = ""
	replace loanport_break = `n' if _n == `n' //write the loanport number to the loanport(th) observation (this is messy, but stata isn't good for these sorts of multi-table operations)
	local counter = 1   
	foreach b in `bp' {
		local subti = "`subti'" + "`b' "
		replace b`counter' = `b' if _n == `n' //write the counter(th) breakpoint to the variable named b(counter)
		local counter = `counter' + 1 //advance the counter
		}
		
	di("`subti'")
	if "`subti'" ~= "" {	
	*serrbar dum_coeff se binnum, scale (1.96) title("`ti'") subtitle("`subti'") //graph and save.  The scale(1.96) implies 95% confidence intervals
	serrbar dum_coeff se binnum, scale (1.96) title("`ti'") xtitle("Average FICO") ytitle("FICO Bin Coefficient") graphregion(color(white)) //graph and save.  The scale(1.96) implies 95% confidence intervals
	graph export ./tmp/bs_intrate_CU_`n'.png, replace //break search file
	}

*-------------------------------------------------------------------------------

*Figure 2***********************************************************************
	*First STage Figures****************************************************
		rdplot loanterm mynf_rel if myrel >=1 & inrange(mynf_rel,-19,19), kernel(uniform) c(0) h(19)  b(1) ci(95) graph_options( xtitle("Normalized FICO") ytitle("Average Term")  plotregion(fcolor(white)) graphregion(fcolor(white))) 
		graph save  "$dbpath/tables_figures/loanterm_normfico.gph", replace
		graph export "$dbpath/tables_figures/loanterm_normfico.eps", replace
		graph export "$dbpath/tables_figures/loanterm_normfico.png", replace
		
		rdplot rate mynf_rel if myrel >=1 & inrange(mynf_rel,-19,19), kernel(uniform) c(0) h(19)  b(1) ci(95) graph_options( xtitle("Normalized FICO") ytitle("Average Rate")  plotregion(fcolor(white)) graphregion(fcolor(white))) 
		graph save  "$dbpath/tables_figures/loanrate_normfico.gph", replace
		graph export "$dbpath/tables_figures/loanrate_normfico.eps", replace
		graph export "$dbpath/tables_figures/loanrate_normfico.png", replace
	*-----------------------------------------------------------------------
*-------------------------------------------------------------------------------

*Figure 3***********************************************************************
	*Examples around 200/300/400************************************************
		DCdensity_Lei monpay if inrange(monpay,280,320),breakpoint(300) gen(Xj Yj r0 fhat se_fhat) cutl(280) cutr(320) b(.5) h(10)
		di(`r(theta)'/`r(se)')
		local note_theta : di %4.3f (`r(theta)')
		local note_t : di %4.3f (`r(theta)'/`r(se)')
		*gr_edit .note.text.Arrpush  "Discontinuity Estimate (t statistic) = " `note_theta' (`note_t')
			gr_edit .title.text = {}
		*gr_edit .title.text.Arrpush Discontinuity Estimate [t statistic] =  `note_theta' [`note_t']
		*gr_edit .title.text.Arrpush "McCrary Test - Normalized Monthly Payment"
		*gr_edit .title.text.Arrpush "Low Income - Low FICO"
		gr_edit .xaxis1.title.text = {}
		gr_edit .xaxis1.title.text.Arrpush "Normalized Monthly Payment($)"
		gr_edit .yaxis1.title.text = {}
		gr_edit .yaxis1.title.text.Arrpush Density
		gr_edit .xaxis1.reset_rule 280 320 5 , tickset(major) ruletype(range) 
		gr_edit .xaxis1.plotregion.xscale.curmin = 280
		gr_edit .xaxis1.plotregion.xscale.curmax = 320
		gr_edit .yaxis1.reset_rule 0.018 .034 .002 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.plotregion.yscale.curmin = 0.018
		gr_edit .yaxis1.plotregion.yscale.curmax = 0.034
		drop Xj Yj r0 fhat se_fhat
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 300.5
		gr_edit .plotregion1.added_text_new = 1
		gr_edit .plotregion1.added_text_rec = 1
		gr_edit .plotregion1.added_text[1].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[1].text = {}
		gr_edit .plotregion1.added_text[1].text.Arrpush Discontinuity =  
		gr_edit .plotregion1.added_text[1].text.Arrpush  Estimate     
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 308.5
		gr_edit .plotregion1.added_text_new = 2
		gr_edit .plotregion1.added_text_rec = 2
		gr_edit .plotregion1.added_text[2].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[2].text = {}
		gr_edit .plotregion1.added_text[2].text.Arrpush `note_theta'
		gr_edit .plotregion1.added_text[2].text.Arrpush   [`note_t']
		graph save  "$dbpath/tables_figures/MP_bunching_hist_300.gph", replace
		graph export "$dbpath/tables_figures/MP_bunching_hist_300.eps", replace
		graph export "$dbpath/tables_figures/MP_bunching_hist_300.png", replace

		DCdensity_Lei monpay if inrange(monpay,180,220),breakpoint(200) gen(Xj Yj r0 fhat se_fhat) cutl(180) cutr(220) b(.5) h(10)
		di(`r(theta)'/`r(se)')
		local note_theta : di %4.3f (`r(theta)')
		local note_t : di %4.3f (`r(theta)'/`r(se)')
		*gr_edit .note.text.Arrpush  "Discontinuity Estimate (t statistic) = " `note_theta' (`note_t')
			gr_edit .title.text = {}
		*gr_edit .title.text.Arrpush Discontinuity Estimate [t statistic] =  `note_theta' [`note_t']
		*gr_edit .title.text.Arrpush "McCrary Test - Normalized Monthly Payment"
		*gr_edit .title.text.Arrpush "Low Income - Low FICO"
		gr_edit .xaxis1.title.text = {}
		gr_edit .xaxis1.title.text.Arrpush "Normalized Monthly Payment($)"
		gr_edit .yaxis1.title.text = {}
		gr_edit .yaxis1.title.text.Arrpush Density
		gr_edit .xaxis1.reset_rule 180 220 5 , tickset(major) ruletype(range) 
		gr_edit .xaxis1.plotregion.xscale.curmin = 180
		gr_edit .xaxis1.plotregion.xscale.curmax = 220
		gr_edit .yaxis1.reset_rule 0.018 .034 .002 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.plotregion.yscale.curmin = 0.018
		gr_edit .yaxis1.plotregion.yscale.curmax = 0.034
		drop Xj Yj r0 fhat se_fhat
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 200.5
		gr_edit .plotregion1.added_text_new = 1
		gr_edit .plotregion1.added_text_rec = 1
		gr_edit .plotregion1.added_text[1].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[1].text = {}
		gr_edit .plotregion1.added_text[1].text.Arrpush Discontinuity =  
		gr_edit .plotregion1.added_text[1].text.Arrpush  Estimate     
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 208.5
		gr_edit .plotregion1.added_text_new = 2
		gr_edit .plotregion1.added_text_rec = 2
		gr_edit .plotregion1.added_text[2].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[2].text = {}
		gr_edit .plotregion1.added_text[2].text.Arrpush `note_theta'
		gr_edit .plotregion1.added_text[2].text.Arrpush   [`note_t']
		graph save  "$dbpath/tables_figures/MP_bunching_hist_200.gph", replace
		graph export "$dbpath/tables_figures/MP_bunching_hist_200.eps", replace
		graph export "$dbpath/tables_figures/MP_bunching_hist_200.png", replace
		
		DCdensity_Lei monpay if inrange(monpay,380,420),breakpoint(400) gen(Xj Yj r0 fhat se_fhat) cutl(380) cutr(420) b(.5) h(10)
		di(`r(theta)'/`r(se)')
		local note_theta : di %4.3f (`r(theta)')
		local note_t : di %4.3f (`r(theta)'/`r(se)')
		*gr_edit .note.text.Arrpush  "Discontinuity Estimate (t statistic) = " `note_theta' (`note_t')
			gr_edit .title.text = {}
		*gr_edit .title.text.Arrpush Discontinuity Estimate [t statistic] =  `note_theta' [`note_t']
		*gr_edit .title.text.Arrpush "McCrary Test - Normalized Monthly Payment"
		*gr_edit .title.text.Arrpush "Low Income - Low FICO"
		gr_edit .xaxis1.title.text = {}
		gr_edit .xaxis1.title.text.Arrpush "Normalized Monthly Payment($)"
		gr_edit .yaxis1.title.text = {}
		gr_edit .yaxis1.title.text.Arrpush Density
		gr_edit .xaxis1.reset_rule 380 420 5 , tickset(major) ruletype(range) 
		gr_edit .xaxis1.plotregion.xscale.curmin = 380
		gr_edit .xaxis1.plotregion.xscale.curmax = 420
		gr_edit .yaxis1.reset_rule 0.018 .034 .002 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.plotregion.yscale.curmin = 0.018
		gr_edit .yaxis1.plotregion.yscale.curmax = 0.034
		drop Xj Yj r0 fhat se_fhat
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 400.5
		gr_edit .plotregion1.added_text_new = 1
		gr_edit .plotregion1.added_text_rec = 1
		gr_edit .plotregion1.added_text[1].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[1].text = {}
		gr_edit .plotregion1.added_text[1].text.Arrpush Discontinuity =  
		gr_edit .plotregion1.added_text[1].text.Arrpush  Estimate     
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 408.5
		gr_edit .plotregion1.added_text_new = 2
		gr_edit .plotregion1.added_text_rec = 2
		gr_edit .plotregion1.added_text[2].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[2].text = {}
		gr_edit .plotregion1.added_text[2].text.Arrpush `note_theta'
		gr_edit .plotregion1.added_text[2].text.Arrpush   [`note_t']
		graph save  "$dbpath/tables_figures/MP_bunching_hist_400.gph", replace
		graph export "$dbpath/tables_figures/MP_bunching_hist_400.eps", replace
		graph export "$dbpath/tables_figures/MP_bunching_hist_400.png", replace
	*-----------------------------------------------------------------------
*-------------------------------------------------------------------------------

*Figure 4***********************************************************************
	*FICO splits of monpay**************************************************

		forval f = 1/3 {
		DCdensity_Lei normmp  if fico_grp == `f' ,breakpoint(0) gen(Xj Yj r0 fhat se_fhat) cutl(-20) cutr(20) b(.5) h(10)
		di(`r(theta)'/`r(se)')
		local note_theta : di %4.3f (`r(theta)')
		local note_t : di %4.3f (`r(theta)'/`r(se)')
		*gr_edit .note.text.Arrpush  "Discontinuity Estimate (t statistic) = " `note_theta' (`note_t')
			gr_edit .title.text = {}
		*gr_edit .title.text.Arrpush "McCrary Test - Normalized Monthly Payment"
		*gr_edit .title.text.Arrpush "Low Income - Low FICO"
		gr_edit .xaxis1.title.text = {}
		gr_edit .xaxis1.title.text.Arrpush "Normalized Monthly Payment($)"
		gr_edit .yaxis1.title.text = {}
		gr_edit .yaxis1.title.text.Arrpush Density
		gr_edit .xaxis1.reset_rule -20 20 5 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.reset_rule 0.018 .034 .002 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.plotregion.yscale.curmin = 0.018
		gr_edit .yaxis1.plotregion.yscale.curmax = 0.034
		drop Xj Yj r0 fhat se_fhat
			gr_edit .plotregion1.AddTextBox added_text editor 0.027 0.5
		gr_edit .plotregion1.added_text_new = 1
		gr_edit .plotregion1.added_text_rec = 1
		gr_edit .plotregion1.added_text[1].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[1].text = {}
		gr_edit .plotregion1.added_text[1].text.Arrpush Discontinuity =  
		gr_edit .plotregion1.added_text[1].text.Arrpush  Estimate     
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 8.5
		gr_edit .plotregion1.added_text_new = 2
		gr_edit .plotregion1.added_text_rec = 2
		gr_edit .plotregion1.added_text[2].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[2].text = {}
		gr_edit .plotregion1.added_text[2].text.Arrpush `note_theta'
		gr_edit .plotregion1.added_text[2].text.Arrpush   [`note_t']
		graph save  "$dbpath/tables_figures/DC_normmp_fico_`f'.gph", replace
		graph export "$dbpath/tables_figures/DC_normmp_fico_`f'.eps", replace
		graph export "$dbpath/tables_figures/DC_normmp_fico_`f'.png", replace
		}
	
	DCdensity_Lei normmp ,breakpoint(0) gen(Xj Yj r0 fhat se_fhat) cutl(-20) cutr(20) b(.5) h(10)
		di(`r(theta)'/`r(se)')
		local note_theta : di %4.3f (`r(theta)')
		local note_t : di %4.3f (`r(theta)'/`r(se)')
		*gr_edit .note.text.Arrpush  "Discontinuity Estimate (t statistic) = " `note_theta' (`note_t')
			gr_edit .title.text = {}
		*gr_edit .title.text.Arrpush "McCrary Test - Normalized Monthly Payment"
		*gr_edit .title.text.Arrpush "Low Income - Low FICO"
		gr_edit .xaxis1.title.text = {}
		gr_edit .xaxis1.title.text.Arrpush "Normalized Monthly Payment($)"
		gr_edit .yaxis1.title.text = {}
		gr_edit .yaxis1.title.text.Arrpush Density
		gr_edit .xaxis1.reset_rule -20 20 5 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.reset_rule 0.018 .034 .002 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.plotregion.yscale.curmin = 0.018
		gr_edit .yaxis1.plotregion.yscale.curmax = 0.034
		drop Xj Yj r0 fhat se_fhat
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 0.5
		gr_edit .plotregion1.added_text_new = 1
		gr_edit .plotregion1.added_text_rec = 1
		gr_edit .plotregion1.added_text[1].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[1].text = {}
		gr_edit .plotregion1.added_text[1].text.Arrpush Discontinuity =  
		gr_edit .plotregion1.added_text[1].text.Arrpush  Estimate     
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 8.5
		gr_edit .plotregion1.added_text_new = 2
		gr_edit .plotregion1.added_text_rec = 2
		gr_edit .plotregion1.added_text[2].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[2].text = {}
		gr_edit .plotregion1.added_text[2].text.Arrpush `note_theta'
		gr_edit .plotregion1.added_text[2].text.Arrpush   [`note_t']
		graph save  "$dbpath/tables_figures/DC_normmp_fico_all.gph", replace
		graph export "$dbpath/tables_figures/DC_normmp_fico_all.eps", replace
		graph export "$dbpath/tables_figures/DC_normmp_fico_all.png", replace
	*-----------------------------------------------------------------------
*-------------------------------------------------------------------------------

*Figure 5***********************************************************************
	      destring(noteamount), force gen(myammt) ignore(",")
	      gen amonpay = (noterate/12)/(1-(1+noterate/12)^(-loanterm))*myamm
	      replace monpay = amonpay if app==1
	      //now build normmp from the code above
		DCdensity_Lei normmp if app==1,breakpoint(0) gen(Xj Yj r0 fhat se_fhat) cutl(-20) cutr(20) b(.5) h(10)
		di(`r(theta)'/`r(se)')
		local note_theta : di %4.3f (`r(theta)')
		local note_t : di %4.3f (`r(theta)'/`r(se)')
		*gr_edit .note.text.Arrpush  "Discontinuity Estimate (t statistic) = " `note_theta' (`note_t')
			gr_edit .title.text = {}
		*gr_edit .title.text.Arrpush "McCrary Test - Normalized Monthly Payment"
		*gr_edit .title.text.Arrpush "Low Income - Low FICO"
		gr_edit .xaxis1.title.text = {}
		gr_edit .xaxis1.title.text.Arrpush "Normalized Monthly Payment($)"
		gr_edit .yaxis1.title.text = {}
		gr_edit .yaxis1.title.text.Arrpush Density
		gr_edit .xaxis1.reset_rule -20 20 5 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.reset_rule 0.022 .03 .001 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.plotregion.yscale.curmin = 0.022
		gr_edit .yaxis1.plotregion.yscale.curmax = 0.03
		drop Xj Yj r0 fhat se_fhat
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 0.5
		gr_edit .plotregion1.added_text_new = 1
		gr_edit .plotregion1.added_text_rec = 1
		gr_edit .plotregion1.added_text[1].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[1].text = {}
		gr_edit .plotregion1.added_text[1].text.Arrpush Discontinuity =  
		gr_edit .plotregion1.added_text[1].text.Arrpush  Estimate     
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 8.5
		gr_edit .plotregion1.added_text_new = 2
		gr_edit .plotregion1.added_text_rec = 2
		gr_edit .plotregion1.added_text[2].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[2].text = {}
		gr_edit .plotregion1.added_text[2].text.Arrpush `note_theta'
		gr_edit .plotregion1.added_text[2].text.Arrpush   [`note_t']
		
		
		graph save   "$dbpath/tables_figures/normmp_apps.gph", replace
		graph export  "$dbpath/tables_figures/normmp_apps.eps", replace
		graph export  "$dbpath/tables_figures/normmp_apps.png", replace
*-------------------------------------------------------------------------------

*Figure 6***********************************************************************
	*typical and atypical maturities
		DCdensity_Lei normmp  if  (loanterm==48 | loanterm==60 | loanterm==72 |loanterm==36),breakpoint(0) gen(Xj Yj r0 fhat se_fhat) cutl(-20) cutr(20) b(.5) h(10)
		di(`r(theta)'/`r(se)')
		local note_theta : di %4.3f (`r(theta)')
		local note_t : di %4.3f (`r(theta)'/`r(se)')
			gr_edit .title.text = {}
		*gr_edit .title.text.Arrpush Discontinuity Estimate [t statistic] =  `note_theta' [`note_t']
		*gr_edit .title.text.Arrpush "McCrary Test - Normalized Monthly Payment"
		*gr_edit .title.text.Arrpush "Low Income - Low FICO"
		gr_edit .xaxis1.title.text = {}
		gr_edit .xaxis1.title.text.Arrpush "Normalized Monthly Payment($)"
		gr_edit .yaxis1.title.text = {}
		gr_edit .yaxis1.title.text.Arrpush Density
		gr_edit .xaxis1.reset_rule -20 20 5 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.reset_rule 0.018 .034 .002 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.plotregion.yscale.curmin = 0.018
		gr_edit .yaxis1.plotregion.yscale.curmax = 0.034
		drop Xj Yj r0 fhat se_fhat
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 0.5
		gr_edit .plotregion1.added_text_new = 1
		gr_edit .plotregion1.added_text_rec = 1
		gr_edit .plotregion1.added_text[1].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[1].text = {}
		gr_edit .plotregion1.added_text[1].text.Arrpush Discontinuity =  
		gr_edit .plotregion1.added_text[1].text.Arrpush  Estimate     
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 8.5
		gr_edit .plotregion1.added_text_new = 2
		gr_edit .plotregion1.added_text_rec = 2
		gr_edit .plotregion1.added_text[2].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[2].text = {}
		gr_edit .plotregion1.added_text[2].text.Arrpush `note_theta'
		gr_edit .plotregion1.added_text[2].text.Arrpush   [`note_t']
		graph save   "$dbpath/tables_figures/DC_typical.gph", replace
		graph export  "$dbpath/tables_figures/DC_typical.eps", replace
		graph export  "$dbpath/tables_figures/DC_typical.png", replace
		
		DCdensity_Lei normmp  if (loanterm ~=48 & loanterm ~=60 & loanterm ~=72 & loanterm ~=36),breakpoint(0) gen(Xj Yj r0 fhat se_fhat) cutl(-20) cutr(20) b(.5) h(10)
		di(`r(theta)'/`r(se)')
		local note_theta : di %4.3f (`r(theta)')
		local note_t : di %4.3f (`r(theta)'/`r(se)')
			gr_edit .title.text = {}
		*gr_edit .title.text.Arrpush Discontinuity Estimate [t statistic] =  `note_theta' [`note_t']
		*gr_edit .title.text.Arrpush "McCrary Test - Normalized Monthly Payment"
		*gr_edit .title.text.Arrpush "Low Income - Low FICO"
		gr_edit .xaxis1.title.text = {}
		gr_edit .xaxis1.title.text.Arrpush "Normalized Monthly Payment($)"
		gr_edit .yaxis1.title.text = {}
		gr_edit .yaxis1.title.text.Arrpush Density
		gr_edit .xaxis1.reset_rule -20 20 5 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.reset_rule 0.018 .034 .002 , tickset(major) ruletype(range) 
		gr_edit .yaxis1.plotregion.yscale.curmin = 0.018
		gr_edit .yaxis1.plotregion.yscale.curmax = 0.034
		drop Xj Yj r0 fhat se_fhat
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 0.5
		gr_edit .plotregion1.added_text_new = 1
		gr_edit .plotregion1.added_text_rec = 1
		gr_edit .plotregion1.added_text[1].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[1].text = {}
		gr_edit .plotregion1.added_text[1].text.Arrpush Discontinuity =  
		gr_edit .plotregion1.added_text[1].text.Arrpush  Estimate     
		gr_edit .plotregion1.AddTextBox added_text editor 0.027 8.5
		gr_edit .plotregion1.added_text_new = 2
		gr_edit .plotregion1.added_text_rec = 2
		gr_edit .plotregion1.added_text[2].style.editstyle  angle(default) size(medsmall) color(black) horizontal(center) vertical(middle) margin(zero) linegap(zero) drawbox(no) boxmargin(zero) fillcolor(bluishgray) linestyle( width(thin) color(black) pattern(solid)) box_alignment(east) editcopy
		gr_edit .plotregion1.added_text[2].text = {}
		gr_edit .plotregion1.added_text[2].text.Arrpush `note_theta'
		gr_edit .plotregion1.added_text[2].text.Arrpush   [`note_t']
		graph save   "$dbpath/tables_figures/DC_atypical.gph", replace
		graph export  "$dbpath/tables_figures/DC_atypical.eps", replace
		graph export  "$dbpath/tables_figures/DC_atypical.png", replace
			
	*-----------------------------------------------------------------------
*-------------------------------------------------------------------------------

*Figure 7***********************************************************************
*Agg spreads and maturities
	use "/home/argyle/Dropbox/MPT/tables_figures/spreads and maturities old (10-10-2018).dta", clear
	gen date2 = date(date,"YMD")
	format date2 %td
	replace auto = auto/100
	twoway line auto date2,ytitle("Spread") lpattern("dash")  tlabel(#10, format(%dCY)) || line used date2, yaxis(2) xtitle("Date") ytitle("Months",axis(2))  plotregion(fcolor(white)) ///
	graphregion(fcolor(white)) legend(label(1 "60 Month Rate -""60 Month Treasury") label(2 "Maturity"))
	graph save   "$dbpath/tables_figures/agg_rate_maturity.gph", replace
	graph export  "$dbpath/tables_figures/agg_rate_maturity.eps", replace
	graph export  "$dbpath/tables_figures/agg_rate_maturity.png", replace
*-------------------------------------------------------------------------------

*Table 1****************************************************************
**Load apps data for sum stats and extensive margin columns*********************
***Summary STats****************************************************************
	*make sure the reg4 is defined before the zipcode block
	tabstat rate loanterm origloanamount origfico dt origvalue monpay if reg4==1, stats(N mean sd p25 p50 p75) col(stat)

*-------------------------------------------------------------------------------

*Table 2****************************************************************
***Summary STats****************************************************************
	*make sure the reg4 is defined before the zipcode block
	tabstat rate loanterm origloanamount origfico dt origvalue monpay, stats(N mean sd p25 p50 p75) col(stat)

*-------------------------------------------------------------------------------


*Table 3************************************************************************
*First STage********************************************************************
	//drop rod_rel*
	reghdfe loanterm mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel rod_rel_* myrel if reg4==1 , absorb(cz#loanyq) pool(5000) 
	testparm rod_rel_*
	local term_pF = `r(F)'
	reghdfe loanterm mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1 , absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/first_stage, excel replace  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, All,F-stat,'`term_pF')
	reghdfe rate mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel rod_rel_* myrel if reg4==1 , absorb(cz#loanyq) pool(5000) 
	testparm rod_rel_*
	local rate_pF = `r(F)'
	reghdfe rate mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1 , absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/first_stage, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, All,F-stat,'`rate_pF')
	
*-------------------------------------------------------------------------------

*Table 4************************************************************************
***MCharacteristic SMOOTHING****************************************************
	***MCharacteristic SMOOTHING****************************************************
	capture drop rod_rel_*
		global dbpath "/home/argyle/Dropbox/MPT"	
	winsor debttoincome, gen(dti) p(0.1)
	reghdfe dti mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(5000) cl(creditscore) keepsing
	sum dti if e(sample)==1
	outreg2 using $dbpath/tables_figures/char_smoothing, excel replace  dec(4) addtext(CZxQuarter FE, Yes)
	
	sum age,det 
	local lowage = r(p10)
	local highage = r(p90)
	sum age if inrange(age,`lowage',`highage')
	reghdfe age mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(5000) cl(creditscore) keepsing
	sum age if e(sample)==1
	outreg2 using $dbpath/tables_figures/char_smoothing, excel append  dec(4) addtext(CZxQuarter FE, Yes)

	
	reghdfe min_dum mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(5000) cl(creditscore) keepsing
	sum min_dum if e(sample)==1
	outreg2 using $dbpath/tables_figures/char_smoothing, excel append  dec(4) addtext(CZxQuarter FE, Yes)

	gen gender_dum = gender == "M"
	reghdfe gender_dum mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(5000) cl(creditscore) keepsing
	sum gender_dum if e(sample)==1
	outreg2 using $dbpath/tables_figures/char_smoothing, excel append  dec(4) addtext(CZxQuarter FE, Yes)

	bys cz loanyq mynf_rel : egen noa =total(myrel>=1)
	egen app_tag = tag(cz loanyq mynf_rel )
	reghdfe noa mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if  myrel>=1 & app_tag ==1 & reg4==1, absorb(cz#loanyq) cl(creditscore) keepsing
	sum noa if e(sample)==1
	outreg2 using $dbpath/tables_figures/char_smoothing, excel append  dec(4) addtext(CZxQuarter FE, Yes)
	
	reghdfe noteamount mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(5000) cl(creditscore) keepsing
	sum noteamount if e(sample)==1
	outreg2 using $dbpath/tables_figures/char_smoothing, excel append  dec(4) addtext(CZxQuarter FE, Yes)
*-------------------------------------------------------------------------------

	
	bys cz loanyq mynf_rel : egen noa =total(myrel>=1)
	egen app_tag = tag(cz loanyq mynf_rel )
	reghdfe noa mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1 & app_tag==1, absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/char_smoothing_orig, excel append  dec(4) addtext(CZxQuarter FE, Yes)
*-------------------------------------------------------------------------------

*Table 5************************************************************************
***ELASTICITY MEASUREMENTS******************************************************

 _rmcoll mynfnf_rod_rel mynfnf_rel ln_loan mynf_rel mynf_rod_rel myrel ln_term ln_rate rod_rel* loanyq cz origfico origvalue carage origloanamount loanterm rate monpay mynf_rod_rel myrod_rel myrel mynf_rel  , forcedrop
	                local varlist `r(varlist)'
			keep `varlist'  type2 isindirect mynfnfnf_rod_rel mynfnfnf_rel   mynfnf_rod_rel mynfnf_rel   dti age min_dum racelikelihood loanportfolioid zipcode daysdelq delta ischarge
			capture drop reg* 
			
	
	reghdfe ln_term mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if reg4==1, absorb(cz#loanyq) pool(5000)
	testparm rod_rel_*
	local first_term = `r(F)'
	reghdfe ln_rate mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if reg4==1, absorb(cz#loanyq) pool(5000)
	testparm rod_rel_*
	local first_rate= `r(F)'
	reghdfe ln_loan mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrel (ln_term ln_rate = rod_rel*) if reg4==1, absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	test _b[ln_term] + _b[ln_rate] = 0
	local elast_diff=`r(F)'
	outreg2 using $dbpath/tables_figures/elasticity_by_fico, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, All,F-stat of elast mag diff,`elast_diff',F-stat Term,`first_term',F-stat Rate,`first_rate')
*-------------------------------------------------------------------------------

*Table 6************************************************************************
drop rod_rel*
	reghdfe monpay  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg1==1, absorb(cz#loanyq) pool(1000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing, excel replace  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, <650)

	reghdfe monpay mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg2==1, absorb(cz#loanyq) pool(1000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, 651-699)
	
	reghdfe monpay mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg3==1, absorb(cz#loanyq) pool(1000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, >700)

	reghdfe monpay mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(1000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, All)
	
	*with zip FEs
	reghdfe monpay  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg1==1, absorb(zipcode#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_zip, excel replace  dec(4) addtext(zipxQuarter FE, Yes, FICO Range, <650)

	reghdfe monpay  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg2==1, absorb(zipcode#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_zip, excel append  dec(4) addtext(zipxQuarter FE, Yes, FICO Range, 651-699)
	
	reghdfe monpay  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg3==1, absorb(zipcode#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_zip, excel append  dec(4) addtext(zipxQuarter FE, Yes, FICO Range, >700)

	reghdfe monpay  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(zipcode#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_zip, excel append  dec(4) addtext(zipxQuarter FE, Yes, FICO Range, All)
*-------------------------------------------------------------------------------


*Table 7 ***********************************************************************
reghdfe ln_term mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if myrel >=1  & inrange(origfico ,0,650), absorb(cz#loanyq) pool(5000) 
	testparm rod_rel_*
	local first_term = `r(F)'
	reghdfe ln_rate mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if myrel >=1  & inrange(origfico ,0,650), absorb(cz#loanyq) pool(5000) 
	testparm rod_rel_*
	local first_rate= `r(F)'
	reghdfe ln_loan mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel (ln_term ln_rate = rod_rel*) if myrel >=1  & inrange(origfico ,0,650), absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	test _b[ln_term] + _b[ln_rate] = 0
	local elast_diff=`r(F)'
	outreg2 using $dbpath/tables_figures/elasticity_by_fico, excel replace  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, <650,F-stat of elast mag diff,`elast_diff',F-stat Term,`first_term',F-stat Rate,`first_rate')
	gen reg1 = e(sample)==1
		
	reghdfe ln_term mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if myrel >=1   & inrange(origfico ,651,699), absorb(cz#loanyq) pool(5000)
	testparm rod_rel_*
	local first_term = `r(F)'
	reghdfe ln_rate mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if myrel >=1   & inrange(origfico ,651,699), absorb(cz#loanyq) pool(5000)
	testparm rod_rel_*
	local first_rate= `r(F)'
	reghdfe ln_loan mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel (ln_term ln_rate = rod_rel*) if myrel >=1   & inrange(origfico ,651,699) , absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	test _b[ln_term] + _b[ln_rate] = 0
	local elast_diff=`r(F)'
	outreg2 using $dbpath/tables_figures/elasticity_by_fico, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, 651-699,F-stat of elast mag diff,`elast_diff',F-stat Term,`first_term',F-stat Rate,`first_rate')
	gen reg2 = e(sample)==1
	
	reghdfe ln_term mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if myrel >=1   & inrange(origfico ,700,850), absorb(cz#loanyq) pool(5000) 
	testparm rod_rel_*
	local first_term = `r(F)'
	reghdfe ln_rate mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if myrel >=1   & inrange(origfico ,700,850), absorb(cz#loanyq) pool(5000) 
	testparm rod_rel_*
	local first_rate= `r(F)'
	reghdfe  ln_loan  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel (ln_term ln_rate = rod_rel*) if myrel >=1  & inrange(origfico ,700,850) , absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	test _b[ln_term] + _b[ln_rate] = 0
	local elast_diff=`r(F)'
	outreg2 using $dbpath/tables_figures/elasticity_by_fico, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, >700,F-stat of elast mag diff,`elast_diff',F-stat Term,`first_term',F-stat Rate,`first_rate')
	gen reg3 = e(sample)==1
	
	gen reg4 = reg1==1 | reg2 ==1 | reg3==1
	
	reghdfe ln_term mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if reg1==1, absorb(cz#loanyq) pool(5000) 
	testparm rod_rel_*
	local first_term = `r(F)'
	reghdfe ln_rate mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if reg1==1, absorb(zip#loanyq) pool(5000) 
	testparm rod_rel_*
	local first_rate= `r(F)'
	reghdfe ln_loan mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel (ln_term ln_rate = rod_rel*) if reg1==1, absorb(zip#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	test _b[ln_term] + _b[ln_rate] = 0
	local elast_diff=`r(F)'
	outreg2 using $dbpath/tables_figures/elasticity_by_fico_zip, excel replace  dec(4) addtext(zipxQuarter FE, Yes, FICO Range, <650,F-stat of elast mag diff,`elast_diff',F-stat Term,`first_term',F-stat Rate,`first_rate')
		
	reghdfe ln_term mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if reg2==1, absorb(zip#loanyq) pool(5000)
	testparm rod_rel_*
	local first_term = `r(F)'
	reghdfe ln_rate mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if reg2==1, absorb(zip#loanyq) pool(5000)
	testparm rod_rel_*
	local first_rate= `r(F)'
	reghdfe ln_loan mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel (ln_term ln_rate = rod_rel*) if  reg2==1, absorb(zip#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	test _b[ln_term] + _b[ln_rate] = 0
	local elast_diff=`r(F)'
	outreg2 using $dbpath/tables_figures/elasticity_by_fico_zip, excel append  dec(4) addtext(zipxQuarter FE, Yes, FICO Range, 651-699,F-stat of elast mag diff,`elast_diff',F-stat Term,`first_term',F-stat Rate,`first_rate')
	
	reghdfe ln_term mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if reg3==1, absorb(zip#loanyq) pool(5000) 
	testparm rod_rel_*
	local first_term = `r(F)'
	reghdfe ln_rate mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel rod_rel* if reg3==1, absorb(zip#loanyq) pool(5000) 
	testparm rod_rel_*
	local first_rate= `r(F)'
	reghdfe  ln_loan  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel (ln_term ln_rate = rod_rel*) if reg3==1 , absorb(zip#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	test _b[ln_term] + _b[ln_rate] = 0
	local elast_diff=`r(F)'
	outreg2 using $dbpath/tables_figures/elasticity_by_fico_zip, excel append  dec(4) addtext(zipxQuarter FE, Yes, FICO Range, >700,F-stat of elast mag diff,`elast_diff',F-stat Term,`first_term',F-stat Rate,`first_rate')
*-------------------------------------------------------------------------------
	
*Figure A1**********************************************************************
	use "/home/argyle/bargyle13/auto_credit/tmp/breakpoints_dict.dta"
	gen myguy = _n
	reshape long b, i(myguy) j(bps)
	hist(b), xtitle("FICO Discontinuity") ytitle("Density")  plotregion(fcolor(white)) graphregion(fcolor(white)) blcolor(black) bfcolor(bluishgray)
	graph save   "$dbpath/tables_figures/disc_hist.gph", replace
	graph export  "$dbpath/tables_figures/disc_hist.eps", replace
	graph export  "$dbpath/tables_figures/disc_hist.png", replace
*-------------------------------------------------------------------------------

*Figure A2**********************************************************************
*using apps data
***MCharacteristic SMOOTHING****************************************************
	rdplot dti mynf_rel if e(sample)==1, kernel(uniform) c(0) h(20)  b(0) ci(95) graph_options( xtitle("Normalized FICO") ytitle("Average DTI")  plotregion(fcolor(white)) graphregion(fcolor(white))) 
	graph save   "$dbpath/tables_figures/smooth_dti.gph", replace
	graph export  "$dbpath/tables_figures/smooth_dti.eps", replace
	graph export  "$dbpath/tables_figures/smooth_dti.png", replace
		
	rdplot age mynf_rel if e(sample)==1, kernel(uniform) c(0) h(20)  b(1) ci(95) graph_options( xtitle("Normalized FICO") ytitle("Average Age")  plotregion(fcolor(white)) graphregion(fcolor(white))) 
	graph save   "$dbpath/tables_figures/smooth_age.gph", replace
	graph export  "$dbpath/tables_figures/smooth_age.eps", replace
	graph export  "$dbpath/tables_figures/smooth_age.png", replace
	
	rdplot min_dum mynf_rel if e(sample)==1, kernel(uniform) c(0) h(20)  b(1) ci(95) graph_options( xtitle("Normalized FICO") ytitle("Average Minority Indicator")  plotregion(fcolor(white)) graphregion(fcolor(white))) 
	graph save   "$dbpath/tables_figures/smooth_minority.gph", replace
	graph export  "$dbpath/tables_figures/smooth_minority.eps", replace
	graph export  "$dbpath/tables_figures/smooth_minority.png", replace
	
	rdplot gender_dum mynf_rel if e(sample)==1, kernel(uniform) c(0) h(20)  b(1) ci(95) graph_options( xtitle("Normalized FICO") ytitle("PR(Male)")  plotregion(fcolor(white)) graphregion(fcolor(white))) 
	graph save   "$dbpath/tables_figures/smooth_gender.gph", replace
	graph export  "$dbpath/tables_figures/smooth_gender.eps", replace
	graph export  "$dbpath/tables_figures/smooth_gender.png", replace
	
	rdplot noa mynf_rel if e(sample)==1, kernel(uniform) c(0) h(20)  b(1) ci(95) graph_options( xtitle("Normalized FICO") ytitle("Average # of Apps")  plotregion(fcolor(white)) graphregion(fcolor(white))) 
	graph save   "$dbpath/tables_figures/smooth_nol.gph", replace
	graph export  "$dbpath/tables_figures/smooth_nol.eps", replace
	graph export  "$dbpath/tables_figures/smooth_nol.png", replace
	
	rdplot noteamount mynf_rel if e(sample)==1, kernel(uniform) c(0) h(20)  b(1) ci(95) graph_options( xtitle("Normalized FICO") ytitle("Average Loan Amount")  plotregion(fcolor(white)) graphregion(fcolor(white))) 
	graph save   "$dbpath/tables_figures/smooth_loan_amount.gph", replace
	graph export  "$dbpath/tables_figures/smooth_loan_amount.eps", replace
	graph export  "$dbpath/tables_figures/smooth_loan_amount.png", replace
*-------------------------------------------------------------------------------

*Figure A3**********************************************************************
	capture drop kgrid
	gen kgrid = _n if _n <1001
	replace kgrid = kgrid/1000
	kdensity debtratio if debtratio >0 & debtratio <=1, at(kgrid) xtitle(Debt-to-Income) ytitle(Density)  plotregion(fcolor(white)) graphregion(fcolor(white)) title("")
		graph save   "$dbpath/tables_figures/kdensity_dti_small_bw_pos.gph", replace
		graph export  "$dbpath/tables_figures/kdensity_dti_small_bw_pos.eps", replace
		graph export  "$dbpath/tables_figures/kdensity_dti_small_bw_pos.png", replace
	
	capture drop kgrid
	gen kgrid = _n if _n <1501
	replace kgrid = kgrid/1000
	kdensity ltv if inrange(debtratio ,0,1), at(kgrid) bw(.0234) xtitle(Loan-to-Value) ytitle(Density)  plotregion(fcolor(white)) graphregion(fcolor(white)) title("")
		graph save   "$dbpath/tables_figures/kdensity_ltv.gph", replace
		graph export  "$dbpath/tables_figures/kdensity_ltv.eps", replace
		graph export  "$dbpath/tables_figures/kdensity_ltv.png", replace
*-------------------------------------------------------------------------------

*Table A1***********************************************************************
//for apps/orig data
tabstat noterate loanterm noteamount creditscore dti age min_dum gender_dum takeup approved if reg4==1, stats(N mean sd p25 p50 p75) col(stat) 
	foreach var of varlist  noterate loanterm noteamount creditscore dti age min_dum gender_dum takeup approved {
	ttest `var', by(reg4)
	}
*-------------------------------------------------------------------------------

*Table A2***********************************************************************
reghdfe origloanamount mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/char_smoothing_orig, excel replace  dec(4) addtext(CZxQuarter FE, Yes)

	reghdfe dti mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1 & dti >0, absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/char_smoothing_orig, excel append  dec(4) addtext(CZxQuarter FE, Yes)
	
	reghdfe age mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1 , absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/char_smoothing_orig, excel append  dec(4) addtext(CZxQuarter FE, Yes)
	
	reghdfe min_dum mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1  & racelikelihood > .6, absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/char_smoothing_orig, excel append  dec(4) addtext(CZxQuarter FE, Yes)
	
	gen gender_dum = gender == "M"
	reghdfe gender_dum mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/char_smoothing_orig, excel append  dec(4) addtext(CZxQuarter FE, Yes)
*-------------------------------------------------------------------------------

*Table A3***********************************************************************
***Outcomes ****************************************************
	reghdfe daysdelq mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1 & inrange(abs(daysdelq),0,1000), absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/smoothing_outcomes, excel replace  dec(4) addtext(CZxQuarter FE, Yes)

	reghdfe ischargeoff mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/smoothing_outcomes, excel append  dec(4) addtext(CZxQuarter FE, Yes)
	
	gen mydefault = inrange(abs(daysdel),90,1000)
	reghdfe mydefault mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/smoothing_outcomes, excel append  dec(4) addtext(CZxQuarter FE, Yes)
	
	reghdfe delta mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1  & racelikelihood > .6, absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/smoothing_outcomes, excel append  dec(4) addtext(CZxQuarter FE, Yes)
	
	gen delta2 = ficoborrcurrent -origfico 
	reghdfe delta mynfnf_rod_rel mynfnf_rel  mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(5000) cl(loanportfolioid origfico) keepsing
	outreg2 using $dbpath/tables_figures/smoothing_outcomes, excel append  dec(4) addtext(CZxQuarter FE, Yes)
*-------------------------------------------------------------------------------

*Table A4***********************************************************************
*load orig data
*cubic
	reghdfe ln_loan mynfnfnf_rod_rel mynfnfnf_rel  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel (ln_term ln_rate = rod_rel*) if reg4==1 , absorb(cz#loanyq) pool(5000) cl(origfico) keepsing
	test _b[ln_term] + _b[ln_rate] = 0
	local elast_diff=`r(F)'
	outreg2 using $dbpath/tables_figures/ta4, excel replace  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, All,F-stat of elast mag diff,`elast_diff')
//rebuild breakpoint dictionary with 5 pt bw using prepended build code for orig sample:
	reghdfe ln_loan mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel (ln_term ln_rate = rod_rel*) if reg4==1 , absorb(cz#loanyq) pool(5000) cl(origfico) keepsing
	test _b[ln_term] + _b[ln_rate] = 0
	local elast_diff=`r(F)'
	outreg2 using $dbpath/tables_figures/ta4, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, All,F-stat of elast mag diff,`elast_diff')

*load app data
*cubic
	reghdfe accepted mynfnfnf_rod_rel mynfnfnf_rel  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel (ln_term ln_rate = rod_rel*) if reg4==1 , absorb(cz#loanyq) pool(5000) cl(origfico) keepsing
	test _b[ln_term] + _b[ln_rate] = 0
	local elast_diff=`r(F)'
	outreg2 using $dbpath/tables_figures/ta4, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, All,F-stat of elast mag diff,`elast_diff')
//rebuild breakpoint dictionary with 5 pt bw using prepended build code for app sample:
	reghdfe accepted mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrel (ln_term ln_rate = rod_rel*) if reg4==1 , absorb(cz#loanyq) pool(5000) cl(origfico) keepsing
	test _b[ln_term] + _b[ln_rate] = 0
	local elast_diff=`r(F)'
	outreg2 using $dbpath/tables_figures/ta4, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, All,F-stat of elast mag diff,`elast_diff')
*-------------------------------------------------------------------------------

*Table A5***********************************************************************
*cubic
	reghdfe monpay mynfnfnf_rod_rel mynfnfnf_rel  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg1==1, absorb(cz#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_cubic, excel replace  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, <650)

	reghdfe monpay mynfnfnf_rod_rel mynfnfnf_rel  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg2==1, absorb(cz#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_cubic, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, 651-699)
	
	reghdfe monpay mynfnfnf_rod_rel mynfnfnf_rel  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg3==1, absorb(cz#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_cubic, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, >700)

	reghdfe monpay mynfnfnf_rod_rel mynfnfnf_rel  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_cubic, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, All)
//rebuild breakpoint dictionary with 5 pt bw:
	reghdfe monpay mynfnfnf_rod_rel mynfnfnf_rel  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg1==1, absorb(cz#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_cubic, excel replace  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, <650)

	reghdfe monpay mynfnfnf_rod_rel mynfnfnf_rel  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg2==1, absorb(cz#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_cubic, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, 651-699)
	
	reghdfe monpay mynfnfnf_rod_rel mynfnfnf_rel  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg3==1, absorb(cz#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_cubic, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, >700)

	reghdfe monpay mynfnfnf_rod_rel mynfnfnf_rel  mynfnf_rod_rel mynfnf_rel mynf_rel mynf_rod_rel myrod_rel myrel if reg4==1, absorb(cz#loanyq) pool(1000) cl(origfico) keepsing
	outreg2 using $dbpath/tables_figures/mp_smoothing_cubic, excel append  dec(4) addtext(CZxQuarter FE, Yes, FICO Range, All)
*-------------------------------------------------------------------------------

*Table A6***********************************************************************
//load apps data
	forval val = 1/4 {
		tabstat noterate loanterm noteamount creditscore dti age min_dum gender_dum takeup approved if reg`val'==1, stats(N mean sd p25 p50 p75) col(stat) save
		mat T = r(StatTotal)' // the prime is for transposing the matrix
		putexcel set "/home/argyle/Dropbox/MPT/tables_figures/sum_stats_apps_`val'.xlsx", replace
		putexcel A1 = matrix(T,names)
		}
*-------------------------------------------------------------------------------

*Table A6***********************************************************************
//load orig data
	forval val = 1/4 {
		tabstat noterate loanterm noteamount creditscore dti age min_dum gender_dum takeup approved if reg`val'==1, stats(N mean sd p25 p50 p75) col(stat) save
		mat T = r(StatTotal)' // the prime is for transposing the matrix
		putexcel set "/home/argyle/Dropbox/MPT/tables_figures/sum_stats_apps_`val'.xlsx", replace
		putexcel A1 = matrix(T,names)
		}
*-------------------------------------------------------------------------------
